#
# File: edu/rochester/cs/WordNet/browser/Package.mk
# Creator: George Ferguson
# Created: Wed Jun  2 11:36:06 2010
# Time-stamp: <Thu Jul  1 16:10:51 EDT 2010 ferguson>
#
# Copyright 2010 George Ferguson, ferguson@cs.rochester.edu.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

PACKAGE = edu.rochester.cs.WordNet.browser

MAIN = Browser

SRCS = \
	AboutDialog.java \
	Browser.java \
	BrowserWindows.java \
	CancelButton.java \
	FindPanel.java \
	Platform.java \
	Prefs.java \
	PrefsDialog.java \
	PrefsPanel.java \
	WordNetPrefsPanel.java

CLASSES = $(SRCS:.java=.class) \
	AboutDialog$$1.class \
	Browser$$1.class \
	Browser$$Searcher.class \
	BrowserWindows$$1.class \
	FindPanel$$1.class \
	FindPanel$$2.class \
	FindPanel$$Match.class \
	FindPanel$$SearchContext.class

EXTRA = progress.gif \
	URCSWordNetBrowser-splash.png \
	cancel-osx.png \
	cancel-win.png \
	next-match.png \
	prev-match.png

# BrowserOSX uses Apple-only extensions
ifeq ($(UNAME),Darwin)
SRCS += BrowserOSX.java
CLASSES += \
	BrowserOSX.class \
	BrowserOSX$$1.class \
	BrowserOSX$$2.class \
	BrowserOSX$$3.class
endif
