#
# File: edu/rochester/cs/WordNet/wn/Package.mk
# Creator: George Ferguson
# Created: Wed Jun  2 10:59:42 2010
# Time-stamp: <Wed Jun  9 17:00:19 EDT 2010 ferguson>
#
# Copyright 2010 George Ferguson, ferguson@cs.rochester.edu.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

PACKAGE = edu.rochester.cs.WordNet.wn

MAIN = WordNetManager

SRCS = \
	Index.java \
	IndexEntry.java \
	PartOfSpeech.java \
	PointerSymbol.java \
	Printing.java \
	Synset.java \
	SynsetFrame.java \
	SynsetPointer.java \
	WordNetFileReader.java \
	WordNetManager.java \
	WordNetManagerListener.java \
	WordSense.java

CLASSES = $(SRCS:.java=.class)

EXTRA = 
